Create an upload
Create an upload to accept parts of a large file that will be assembled by the complete endpoint.
In: header
Header Parameters
Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
The name of the file to be assembled from this upload's parts.
1 <= length <= 255The intended purpose of the assembled file.
"assistants""assistants" | "assistants_output" | "batch" | "batch_output" | "fine-tune" | "fine-tune-results" | "vision" | "user_data" | "evals"The expected total size of the file, in bytes (1 to 512000000000).
1 <= value <= 512000000000The MIME type of the file to be assembled. Becomes the resulting File's content type (an unusable or generic value falls back to one guessed from the filename).
1 <= length <= 255Response Body
curl -X POST "https://deepfellow-server-host/v1/uploads" \ -H "OpenAI-Organization: string" \ -H "OpenAI-Project: string" \ -H "Content-Type: application/json" \ -d '{ "filename": "string", "bytes": 1, "mime_type": "string" }'{
"filename": "string",
"purpose": "assistants",
"bytes": 1,
"mime_type": "string",
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "upload",
"status": "pending",
"received_bytes": 0,
"part_count": 0,
"id": "5eb7cf5a86d9755df3a6c593",
"created_at": 0,
"expires_at": 0,
"file": {
"id": "5eb7cf5a86d9755df3a6c593",
"project_id": "5eb7cf5a86d9755df3a6c593",
"object": "file",
"bytes": 0,
"filename": "string",
"purpose": "assistants",
"created_at": 0,
"expires_at": 0,
"graph_ingestion_status": "pending",
"graph_ingestion_job_id": "5eb7cf5a86d9755df3a6c593",
"extracted_metadata": {
"property1": "string",
"property2": "string"
},
"summary": "string",
"content_type": "string",
"summary_provenance": {
"model": "string",
"options": {
"max_length": 200,
"style": "neutral",
"language": "string"
},
"job_id": "5eb7cf5a86d9755df3a6c593",
"created_at": 0,
"truncated": false
}
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.